<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<?php
include ("../navigation/header.php");
$page_name = "Sales-edit";
include ("../navigation/access.php");
?>

<link href="../css/main.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../jscript/jquery.1.4.2.js"></script>
</head>
<?php
if ($permission_num==1) {
	include ("../navigation/sales_sidebar.php");

$page = $_GET['page'];
	
if ($page=='quotation') {
$reference='quotation_details_edit.php?quote_no=';	
$page_name='Edit quotation.';
$table_name = $_SESSION['db_prefix']."_quotations";
$quoteQuery = "SELECT quote_no, cust_id FROM $table_name WHERE status = 'quoted' and cust_id <> '0' ORDER BY quote_no DESC";
$quoteResult = execsql($quoteQuery);
$quoteNum = mysql_num_rows($quoteResult);
	$w = 0;
	$arrId4 = array ();
	$arrName4 = array ();
	while ($w < $quoteNum) {
		$cust_id = mysql_result($quoteResult, $w, "cust_id");
		$table_name = $_SESSION['db_prefix']."_customer";
		$name_query = "SELECT comp_name FROM $table_name WHERE cust_id = '".$cust_id."' ";
		$name_result = mySQL_query($name_query);
		$name = mysql_result($name_result, 0, "comp_name");
		$arrId4[$w] = mysql_result($quoteResult, $w, 'quote_no');
		$arrName4[$w] = "Q".mysql_result($quoteResult, $w, 'quote_no')."&nbsp;&nbsp;&nbsp;".$name;
		$w++;
	}
}

if ($page=='cash') {
$reference='cash_quotation_edit.php?authorise=0&job_no=';	
$page_name='Edit quotation.';
$table_name = $_SESSION['db_prefix']."_captured_cash_sale";
$quoteQuery = "SELECT job_no, cust_id FROM $table_name WHERE captured = 'yes' AND authorisation IS NULL and cust_id <> '0' ORDER BY job_no DESC";
$quoteResult = execsql($quoteQuery);
$quoteNum = mysql_num_rows($quoteResult);
	$w = 0;
	$arrId4 = array ();
	$arrName4 = array ();
	while ($w < $quoteNum) {
		$cust_id = mysql_result($quoteResult, $w, "cust_id");
		$table_name = $_SESSION['db_prefix']."_customer";
		$name_query = "SELECT comp_name FROM $table_name WHERE cust_id = '".$cust_id."' ";
		$name_result = mySQL_query($name_query);
		$name = mysql_result($name_result, 0, "comp_name");
		$arrId4[$w] = mysql_result($quoteResult, $w, 'job_no');
		$arrName4[$w] = "Q".mysql_result($quoteResult, $w, 'job_no')."&nbsp;&nbsp;&nbsp;".$name;
		$w++;
	}
}

if ($page=='customer') {
$reference='customer_details_edit.php?cust_id=';
$page_name='Customer details';
$table_name = $_SESSION['db_prefix']."_customer";
$table_name2 = $_SESSION['db_prefix']."_customer";
$customer_query = "SELECT account_type, cust_id, comp_name, title, name_2 FROM $table_name2 ORDER BY comp_name ";
$customer_result = mySQL_query($customer_query);
$customer_num = mysql_num_rows($customer_result);
$cust_id = mysql_result($customer_result, 0, "cust_id"); 	

	$w = 0;
	$arrId4 = array ();
	$arrName4 = array ();
	while ($w < $customer_num) {
		$a1 = mysql_result($customer_result, $w, "account_type");
		if ($a1=="corporate") { 
				$arrName4[$w] = mysql_result($customer_result, $w, "comp_name"); 
		} 
		else {
				$arrName4[$w] = mysql_result($customer_result, $w, "comp_name").', '.mysql_result($customer_result, $w, 'name_2')." (".mysql_result($customer_result, $w, "title").')';
 		}
		$arrId4[$w] = mysql_result($customer_result, $w, 'cust_id');
		
		$w++;
	}



}

?>
<body>

<div class="main_frame">
<table width="630" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td height="52" colspan="4" align="left" valign="top"><div class="page_head_frame">
        <table width="630" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="385"><label class="label_page_head">Select to edit</label></td>
            <td align="right">&nbsp;</td>
          </tr>
        </table>
      </div>
       <br />
<br /><br />
<br />
<br />
<br />

<div class="page_middle_frame"><br />
  <label class="label_std" style="font-size:16px;"><?php echo $page_name?></label>
  <br />
  <br />
  <form action="" method="get">
  <div class="wizard_frame">
    <label class="label_std"> Select job to edit <?php echo $page_name?>: &nbsp;&nbsp;</label>
    <select name="job_no_select" autofocus="autofocus" class="selectbox300" id="job_no_select" onchange="window.location.href= this.form.job_no_select.options[this.form.job_no_select.selectedIndex].value"> 
      <option value=" " selected="selected" >&nbsp;</option>
      <?php
    	for ($j = 0; $j < count($arrId4); $j++) {
			echo "<option value=".$reference.$arrId4[$j].">".$arrName4[$j]."</option>";	
		}
     ?>
    </select>
  </div>
  </form>
  <br />
  <br />
<br />
<br />
<br />

</div>
    </td>
    </tr>
    </table>
</div>

<?php include ('../navigation/side_bar.php'); ?>


<?php } else {
    $_SESSION['denied_return'] = "sales/sales_main.php?date=";	
    include ("../navigation/sales_sidebar.php");?>
    <?php include ('../navigation/side_bar.php'); ?>
	<body onLoad="accessdenied(); return false">	
	</body>
<?php }
?>
</html>
</body>